List of Open Source Software which can be built on Fugaku

Spack logo
Spack will be used to manage open source software packages on Fugaku. Fugaku users can easily use pre-installed packages and built packages based on Spack recipes. The following list shows the results of building/compiling packages for aarch64 according to the Spack recipes. Note that the results in this list do not guarantee that each package will work properly. On the other hand, Fujitsu will provide the following packages compiled with Fujitsu compiler on Fugaku as "external" packages, of which Spack can be aware.
  • OpenJDK 11
  • Ruby 2.6.5 or later
  • Python2 2.7.15
  • Python3 3.6.8
  • Numpy 1.14.3
  • SciPy 1.0.0
  • Eclipse IDE 2019-09 R Packages
Please contact us from email:

Build success rate per compiler


Last Modified: 4/8/24, 2:58 AM GMT
Spack Version: 1/18/24, 1:14 AM GMT
Click each result for further infomation.
Package Version Fujitsu Compiler GCC
xrefresh 1.0.7 Dependency Error
xrootd 5.6.1 Dependency Error
xrx 1.0.4 Dependency Error
xsbench 20 Dependency Error
xscope 1.4.3 Dependency Error
xsd 4.0.0 Dependency Error
xsdk 0.8.0 Dependency Error
xsdk-examples 0.4.0 Dependency Error
xset 1.2.5 Dependency Error
xsetmode 1.0.0 Dependency Error
xsetpointer 1.0.1 Dependency Error
xsetroot 1.1.3 Dependency Error
xsimd 8.1.0 Dependency Error
xsm 1.0.5 Dependency Error
xstdcmap 1.0.5 Dependency Error
xtb 6.6.0 Dependency Error
xtcdata 3.3.37 Dependency Error
xtensor 0.24.1 Dependency Error
xtensor-blas 0.20.0 Dependency Error
xtensor-python 0.23.1 Dependency Error
xterm 353 Dependency Error
xtl 0.7.4 Dependency Error
xtrans 1.4.0 Dependency Error
xtrap 1.0.3 Dependency Error
xts 0.99.1 Dependency Error
xv 4.2.0 Dependency Error
xvidtune 1.0.4 Dependency Error
xvinfo 1.1.5 Dependency Error
xwd 1.0.8 Dependency Error
xwidgets 0.25.0 Dependency Error
xwininfo 1.1.5 Dependency Error
xwud 1.0.6 Dependency Error
xxd-standalone 8.2.1201 Dependency Error
xxdiff 2023-01-10 Dependency Error
xxhash 0.8.1 Dependency Error
xyce 7.7.0 Dependency Error
xz 5.4.1 Dependency Error
yade 2023.02a Dependency Error
yafyaml 1.1.0 Dependency Error
yajl 2.1.0 Dependency Error
yaksa 0.3 Dependency Error
yambo 5.1.1 Dependency Error
yaml-cpp 0.7.0 Dependency Error
yara 3.9.0 Dependency Error
yarn 1.22.4 Dependency Error
yasm 1.3.0 Dependency Error
ycruncher 0.7.10.9513 Dependency Error
ycsb 0.17.0 Dependency Error
yoda 1.9.8 Dependency Error
yorick 2.2.04 Dependency Error
z-checker 0.9.0 Dependency Error
z3 4.11.2 Dependency Error
zabbix 5.0.3 Dependency Error
zfp 1.0.0 Dependency Error
zfs 0.8.3 Dependency Error
zig 0.11.0 Dependency Error
zip 3.0 Dependency Error
zipkin 2.21.5 Dependency Error
zlib 1.3 Dependency Error
zlib-ng 2.1.4 Dependency Error
zoltan 3.901 Dependency Error
zookeeper 3.4.11 Dependency Error
zookeeper-benchmark master Dependency Error
zopfli 1.0.3 Dependency Error
zpares 0.9.6a Dependency Error
zsh 5.8 Dependency Error
zstd 1.5.5 Dependency Error
zstr 1.0.7 Dependency Error
zziplib 0.13.72 Dependency Error

Page 38 of 38, showing 69 record(s) out of 7,469 total